package crawl

var defaultIgnorePatterns = []string{

	// fc2-wiki.json
	"^https?://[^/.]+\\.wiki\\.fc2\\.com/edit/",
	"^https?://[^/.]+\\.wiki\\.fc2\\.com/.*[?&]cmd=auth(&|$)",

	// notumblrnotes.json
	"^https?://.*/notes/[0-9]+/",

	// tistory.json
	"^https?://www\\.tistory\\.com/login/",
	"^https?://www\\.tistory\\.com/auth/login[/?]",
	"^https?://[^/]+/manage([/?]|$)",
	"^https?://[^/]+/toolbar/popup/abuseReport/",
	"^https?://[^/]+/comment/add/\\d+$",
	"^https?://[^/]+/archive/(200[0-5]|20[5-9]\\d)\\d{2}$",

	// mediawiki-uk.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([?&]title=|/)Property:.*&until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_blog:.+/User_blog:",

	// mediawiki-ru.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([?&]title=|/)Property:.*&until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_blog:.+/User_blog:",

	// mediawiki.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([\\?&]title=|/)Special:(CreateAccount|UserLogin|UserLogout|Translate|MobileFeedback|MobileOptions|RecentChangesLinked|Diff|MobileDiff|CentralAuth)",
	"([\\?&]title=|/)Special:(Ask|Browse|SearchByProperty|ExportRDF|PageProperty|Properties|UnusedProperties|WantedProperties|SMWAdmin|Types|URIResolver|QueryCreator)",
	"([\\?&]title=Special:RecentChanges&|/Special:RecentChanges\\?)(.*&)?from=\\d+",
	"([\\?&]title=|/)Special:(ListFiles|PrefixIndex).*&amp;",
	"([\\?&]title=|/)Special:ListFiles.*&user=",
	"([\\?&]title=|/)Special:ListFiles.*&sort=img_(timestamp|name|size)(&|$)",
	"([\\?&]title=|/)Special:Log/",
	"([?&]title=Special:Log&|/Special:Log\\?)(.*&)?hide_[^&=]+=1(&|$)",
	"([?&]title=Special:Log&|/Special:Log\\?)(.*&)?hide_.*&hide_",
	"([?&]title=|/)Property:.*&until=",
	"([?&]title=|/)Category:.*&(page|subcat|file)until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_talk:.+/User_talk:",
	"/User_blog:.+/User_blog:",
	"/User:.+/User:",
	"^https?://[^/]+\\.gamepedia\\.com/(.*[?&]title=)?Special:(WikiPoints/global|ListAllUsers|AllSites)([/?&]|$)",

	// mediawiki-ja.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([?&]title=|/)Property:.*&until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_blog:.+/User_blog:",

	// fc2-blog.json
	"^https?://[^/.]+\\.blog\\d*\\.(fc2\\.com|fc2blog\\.us|2nt\\.com)/(\\?date=|blog-date-)(1[0-8]\\d{4}|19[0-8]\\d{3}|20[5-9]\\d{3}|2[1-9]\\d{4})",
	"^https?://[^/.]+\\.blog\\d*\\.(fc2\\.com|fc2blog\\.us|2nt\\.com)/\\?mode=edit(entry)?&rno=\\d+$",
	"^https?://blogvote\\.(fc2\\.com|fceblog\\.us|2nt\\.com)/pickup/[^/]+/\\d+/clap$",
	"^https?://admin\\.blog\\.(fc2\\.com|2nt\\.com)/control\\.php",

	// mediawiki-de.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([\\?&]title=|/)Spezial:(Benutzerkonto_anlegen|Anmelden|Abmelden|Translate|MobileFeedback|MobileOptions|%C3%84nderungen_an_verlinkten_Seiten|(Diff|Differenz|Unterschied)|MobileDiff|CentralAuth)",
	"([\\?&]title=|/)Spezial:(Ask|Browse|SearchByProperty|ExportRDF|PageProperty|Properties|UnusedProperties|WantedProperties|SMWAdmin|Types|URIResolver|QueryCreator)",
	"([\\?&]title=Spezial:Letzte_%C3%84nderungen&|/Spezial:Letzte_%C3%84nderungen\\?)(.*&)?from=\\d+",
	"([\\?&]title=|/)Spezial:((Dateien|Dateiliste)|Pr%C3%A4fixindex).*&amp;",
	"([\\?&]title=|/)Spezial:(Dateien|Dateiliste).*&user=",
	"([\\?&]title=|/)Spezial:(Dateien|Dateiliste).*&sort=img_(timestamp|name|size)(&|$)",
	"([\\?&]title=|/)Spezial:Logbuch/",
	"([?&]title=Spezial:Logbuch&|/Spezial:Logbuch\\?)(.*&)?hide_[^&=]+=1(&|$)",
	"([?&]title=Spezial:Logbuch&|/Spezial:Logbuch\\?)(.*&)?hide_.*&hide_",
	"([?&]title=|/)Property:.*&until=",
	"([?&]title=|/)Kategorie:.*&(page|subcat|file)until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/Benutzer_Diskussion:.+/Benutzer_Diskussion:",
	"/User_blog:.+/User_blog:",
	"/Benutzer:.+/Benutzer:",
	"^https?://[^/]+\\.gamepedia\\.com/(.*[?&]title=)?Spezial:(WikiPoints/global|ListAllUsers|AllSites)([/?&]|$)",

	// nogravatar.json
	"^https?://(\\d|secure)\\.gravatar\\.com/avatar/",

	// dspace6.json
	"/discover\\?((.*&)?filtertype(_\\d+)?=){2}",
	"/search-filter\\?(.*&)?filtertype(_\\d+)?=",
	"/simple-search\\?((.*&)?(filter_type(_\\d+)?|filtertype)=){2}",
	"[?&]dateIssued_page=\\d{2,}(&|$)",
	"[?&]starts_with=",

	// pinterest.json
	"^https?://www\\.pinterest\\.com/[^/]+/\\^/[^/]+/",
	"^https?://www\\.pinterest\\.com/[^/]+/[^/]+/\\^/[^/]+/",
	"^https?://www\\.pinterest\\.com/[^/]+/[^/]+\\.[^/]+",
	"^https?://www\\.pinterest\\.com/[^/]+/[^/]+/[^/]+\\.[^/]+",
	"^https?://www\\.pinterest\\.com/[^/]+/webapp/js/app/(desktop|common)/bundle-(jcrop|mapbox)\\.js",
	"^https?://www\\.pinterest\\.com/[^/]+/[^/]+/webapp/js/app/(desktop|common)/bundle-(jcrop|mapbox)\\.js",

	// nomediawikihistory.json
	"[?&]oldid=\\d+(&|$)",
	"[?&]action=history(&|$)",
	"([?&]title=|/)Special:Log.*[?&]",

	// notumblrnoteavatars.json
	"^https?://\\d+\\.media\\.tumblr\\.com/avatar_.*_(16|64)\\.png$",

	// github.json
	"^https?://github\\.com/[^/]+/[^/]+/(search|find|blame|diffs|compare|notifications)[/?]",
	"^https?://github\\.com/.*/(s,|,Meta\\+|Control\\+)/",
	"^https?://github\\.com/[^/]+/[^/]+/(issues|pulls)(/show_menu_content)?\\?(.*&)?q=(.*\\+)?-?(label|sort|assignee|author|project|milestone|review|no|updated|comments|base)(%3A|:)",
	"^https?://github\\.com/[^/]+/[^/]+/projects\\?query=([^&]+\\+)?sort(%3A|:)",
	"^https?://github\\.com/[^/]+/[^/]+/milestones\\?(.*&)?(sort|direction)=",
	"^https?://github\\.com/[^/]+/[^/]+/(issues/)?labels/?\\?(.*&)?sort=",
	"^https?://github\\.com/[^/]+/[^/]+/(issues|pull)/new[/?]",
	"^https?://github\\.com/[^/]+/[^/]+/commits/[0-9a-f]{40}([/?]|$)",
	"^https?://github\\.com/[^/]+/[^/]+/commit/[0-9a-f]{40}\\?diff=",
	"^https?://github\\.com/[^/]+/[^/]+/issues/\\d+/set_milestone\\?",
	"^https?://github\\.com/[^/]+/[^/]+/pull/\\d+/review-requests\\?",
	"^https?://github\\.com/[^/]+/[^/]+/projects/issues/\\d+$",
	"^https?://github\\.com/[^/]+/[^/]+/(tree|blob|raw)/[0-9a-f]{40}/",
	"^https?://github\\.com/[^/]+/[^/]+/actions(/.*)?\\?(.*&)?query=",
	"^https?://github\\.com/[^/]+/[^/]+/runs/\\d+/(header$|toolbar(\\?|$)|step_summary\\?|unseen_check_steps\\?)",
	"^https?://github\\.com/[^/]+/[^/]+/suites/\\d+/show_partial\\?",
	"^https?://github\\.com/[^/]+/[^/]+/actions/runs/\\d+/workflow_run$",
	"^https?://github\\.com/[^/]+/[^/]+/(issues|pull)/[^/]+/hovercard$",
	"^https?://github\\.com/[^/]+/[^/]+/packages\\?(.*&)?sort_by=",
	"^https?://github\\.com/[^/]+/[^/]+/used_by_list$",
	"^https?://github\\.com/.*/(contributions-spider-graph|drag-drop|jump-to|profile-pins-element|randomColor|sortable-behavior|tweetsodium|user-status-submit)\\.js$",

	// reddit.json
	"^https?://out\\.reddit\\.com/",
	"^https?://(www|old|np)\\.reddit\\.com/gold\\?goldtype=",
	"^https?://(www|old|np)\\.reddit\\.com/(r|user)/[^/]+/comments/[a-z0-9]+/[^/]+/[a-z0-9]+",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/comments/[a-z0-9]+.*\\?sort=",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/comments/[a-z0-9]+/[^/]+/\\.compact",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/((hot|top|new|rising|controversial|gilded|ads)/)?.*[?&]before=",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/related/",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/(gilded)?\\.mobile\\?",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/search/?\\?",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/wiki/(revisions|discussions)/user/.+",
	"^https?://(www|old|np)\\.reddit\\.com/r/[^/]+/wiki/revisions/.*[?&]before=",
	"^https?://(www|old|np)\\.reddit\\.com/user/[^/]+/.*[?&]sort=",
	"^https?://(www|old|np)\\.reddit\\.com/user/[^/]+/.*[?&]before=",
	"^https?://(www|old|np)\\.reddit\\.com/.+/\\.rss$",
	"^https?://simple\\.reddit\\.com/",
	"^https?://pixel\\.redditmedia\\.com/pixel/",
	"^https?://[^/]+\\.reddit\\.com/message/compose/?\\?",
	"^https?://m\\.reddit\\.com/",
	"^https?://amp\\.reddit\\.com/pixel\\?",
	"^https?://(www|old|np)\\.reddit\\.com/[^?]+\\?(.*&)?ref=readnext(&|$)",
	"^https?://amp\\.reddit\\.com/r/[^/]+/duplicates/",

	// mastodon.json
	"^https?://[^/]+/api/salmon/\\d+$",
	"^https?://[^/]+/interact/\\d+\\?type=(reply|reblog|favourite)$",
	"[?&]min_id=\\d+(&|$)",

	// global.json
	"%25252525",
	"/App_Themes/.+/App_Themes/",
	"/bxSlider/.+/bxSlider/",
	"/bxSlider/bxSlider/",
	"/slides/slides/.+/slides/",
	"/slides/.+/slides/slides/",
	"/slides/slides/slides/",
	"/js/js/.+/js/",
	"/js/.+/js/js/",
	"/js/js/js/",
	"/css/css/.+/css/",
	"/css/.+/css/css/",
	"/css/css/css/",
	"/styles/styles/.+/styles/",
	"/styles/.+/styles/styles/",
	"/styles/styles/styles/",
	"/scripts/scripts/.+/scripts/",
	"/scripts/.+/scripts/scripts/",
	"/scripts/scripts/scripts/",
	"/images/images/.+/images/",
	"/images/.+/images/images/",
	"/images/images/images/",
	"/img/img/.+/img/",
	"/img/.+/img/img/",
	"/img/img/img/",
	"/clientscript/clientscript/.+/clientscript/",
	"/clientscript/.+/clientscript/clientscript/",
	"/clientscript/clientscript/clientscript/",
	"/lib/exe/.*lib[-_]exe[-_]lib[-_]exe[-_]",
	"/(%5C)+(%22|%27)",
	"/%5C/%5C/",
	"/%27\\+[^/]+\\+%27",
	"/%22\\+[^/]+\\+%22",
	"/%27%20\\+[^/]+\\+%20%27",
	"/%22%20\\+[^/]+\\+%20%22",
	"/\\\\+(%22|%27)",
	"/\\\\+[\"']",
	"/\\\\/\\\\/",
	"/'\\+[^/]+\\+'",
	"/wp-content/cache/wpfc-minified/[^/]+/[^/]+/",
	"^https?://localhost(:\\d+)?/",
	"^https?://(127|10|0)\\.\\d+\\.\\d+\\.\\d+(:\\d+)?/",
	"^https?://169\\.254\\.\\d+\\.\\d+(:\\d+)?/",
	"^https?://172\\.(1[6-9]|2\\d|3[01])\\.\\d+\\.\\d+(:\\d+)?/",
	"^https?://192\\.168\\.\\d+\\.\\d+(:\\d+)?/",
	"^https?://192\\.0\\.2\\.\\d+(:\\d+)?/",
	"^https?://198\\.(18|19)\\.\\d+\\.\\d+(:\\d+)?/",
	"^https?://198\\.51\\.100\\.\\d+(:\\d+)?/",
	"^https?://203\\.0\\.113\\.\\d+(:\\d+)?/",
	"^https?://www\\.google\\.com/recaptcha/api",
	"^https?://geo\\.yahoo\\.com/b\\?",
	"^https?://((s-)?static\\.ak\\.fbcdn\\.net|(connect\\.|www\\.)?facebook\\.com)/connect\\.php/js/.*rsrc\\.php",
	"^https?://www\\.flickr\\.com/change_language\\.gne",
	"^https?://([^/]+\\.)?archive\\.org/",
	"^https?://([^/]+\\.)?archive-it\\.org/",
	"^https?://archive\\.is/",
	"^https?://www\\.google\\.((com|ad|ae|al|am|as|at|az|ba|be|bf|bg|bi|bj|bs|bt|by|ca|cd|cf|cg|ch|ci|cl|cm|cn|cv|cz|de|dj|dk|dm|dz|ee|es|fi|fm|fr|ga|ge|gg|gl|gm|gp|gr|gy|hn|hr|ht|hu|ie|im|iq|is|it|je|jo|ki|kg|kz|la|li|lk|lt|lu|lv|md|me|mg|mk|ml|mn|ms|mu|mv|mw|ne|nl|no|nr|nu|pl|pn|ps|pt|ro|ru|rw|sc|se|sh|si|sk|sn|so|sm|sr|st|td|tg|tk|tl|tm|tn|to|tt|vg|vu|ws|rs|cat)|(com\\.(af|ag|ai|ar|au|bd|bh|bn|bo|br|bz|co|cu|cy|do|ec|eg|et|fj|gh|gi|gt|hk|jm|kh|kw|lb|ly|mm|mt|mx|my|na|nf|ng|ni|np|om|pa|pe|pg|ph|pk|pr|py|qa|sa|sb|sg|sl|sv|tj|tr|tw|ua|uy|vc|vn))|(co\\.(ao|bw|ck|cr|id|il|in|jp|ke|kr|ls|ma|mz|nz|th|tz|ug|uk|uz|ve|vi|za|zm|zw)))/finance\\?noIL=1&q=[^&]+&ei=",
	"^https?://upload\\.wikimedia\\.org/wikipedia/[^/]+/thumb/",
	"^https?://s?b\\.scorecardresearch\\.com/",
	"^http://i\\.dev\\.cdn\\.turner\\.com/",
	"^https?://video-subtitle\\.tedcdn\\.com/",
	"^https?://download\\.ted\\.com/",
	"^http://msft\\.digitalrivercontent\\.net/win/.+\\.iso",
	"^https?://tmz\\.vo\\.llnwd\\.net/",
	"^https?://(www\\.)?megaupload\\.com/",
	"^https?://(www\\.)?filesonic\\.com/",
	"^https?://(www\\.)?wupload\\.com/",
	"^https?://prod-preview\\.wired\\.com/",
	"^http://([^\\./]+\\.)?stream\\.publicradio\\.org/",
	"^http://icecast\\.streaming\\.castor\\.nl/",
	"^http://wm1\\.streaming\\.castor\\.nl:8000/",
	"^http://icecast\\.databoss\\.nl:8000/",
	"^http://stream\\.rynothebearded\\.com:8000/",
	"^http://mp3\\.live\\.tv-radio\\.com/",
	"^http://av\\.rasset\\.ie/av/live/",
	"^http://gcnplayer\\.gcnlive\\.com/.+",
	"^http://streaming\\.radionomy\\.com/",
	"^http://mp3\\.ffh\\.de/",
	"^http://(www\\.)?theradio\\.cc\\:8000/",
	"^http://(audio\\d?|nfw)\\.video\\.ria\\.ru/",
	"^http://eu1\\.fastcast4u\\.com:3048/",
	"^http://[^\\./]+\\.radioscoop\\.(com|net):\\d+/",
	"^http://[^\\./]+\\.streamchan\\.org:\\d+/",
	"^http://[^/]*musicproxy\\.s12\\.de/",
	"^http://stream\\.rfi\\.fr/",
	"^http://striiming\\d?\\.trio\\.ee/",
	"^http://streamer\\.radiocampus\\.be(:\\d+)?/",
	"^http://relay\\.broadcastify\\.com/",
	"^http://audio\\d?\\.radioreference\\.com/",
	"^http://[^/]+\\.akadostream\\.ru(:\\d+)?/",
	"^http://radio\\.silver\\.ru(:\\d+)?/",
	"^http://icecast\\.szwoelf\\.com:8000/",
	"^http://altair\\.micronick\\.com:8080/\\?action=stream",
	"^http://94\\.25\\.53\\.13[1-4]/.+\\.mp3$",
	"^http://server\\.lradio\\.ru:\\d+/",
	"^http://188\\.93\\.17\\.201:8080/",
	"^http://81\\.19\\.85\\.19[56]/.+\\.mp3$",
	"^http://81\\.19\\.85\\.203/.+\\.mp3$",
	"^http://play(\\d+)?\\.radio13\\.ru:8000/",
	"^http://stream(\\d+)?\\.media\\.rambler\\.ru/",
	"^http://pub(\\d+)?\\.di\\.fm/",
	"^http://vostok\\.fmtuner\\.ru/",
	"^http://109\\.120\\.141\\.181:8000/",
	"^http://195\\.88\\.63\\.114:8000/",
	"^http://radiosilver\\.corbina\\.net:8000/",
	"^http://89\\.251\\.147\\.100/",
	"^http://bcs\\d?\\.fontanka\\.fm:8000/",
	"^http://stream2\\.cnmns\\.net/",
	"^http://[^/]+\\.streamtheworld\\.com/",
	"^http://[^/]+\\.gaduradio\\.pl/",
	"^http://anka\\.org:8080/",
	"^http://radio\\.visionotaku\\.com:8000/",
	"^http://stream\\.r-a-d\\.io/",
	"^http://r-a-d\\.io/.+\\.mp3$",
	"^http://95\\.81\\.155\\.17/",
	"^https?://icecast\\.rtl2?\\.fr/",
	"^http://mp3tslg\\.tdf-cdn\\.com/",
	"^http://[^/]+/anony/mjpg\\.cgi$",
	"^https?://air\\.radiorecord\\.ru(:\\d+)?/",
	"^https?://[^/]+\\.rastream\\.com(:\\d+)?/",
	"^https?://audiots\\.scdn\\.arkena\\.com/",
	"^https?://(www|draft)\\.blogger\\.com/(navbar\\.g|post-edit\\.g|delete-comment\\.g|comment-iframe\\.g|share-post\\.g|email-post\\.g|blog-this\\.g|delete-backlink\\.g|rearrange|blog_this\\.pyra)\\?",
	"^https?://[^/]*tumblr\\.com/(impixu\\?|share(/link/?)?\\?|reblog/)",
	"^https?://plus\\.google\\.com/share\\?",
	"^https?://(apis|plusone)\\.google\\.com/_/\\+1/",
	"^https?://(ssl\\.|www\\.)?reddit\\.com/(login\\?dest=|submit\\?|static/button/button)",
	"^https?://digg\\.com/submit\\?",
	"^https?://(www\\.)?facebook\\.com/(plugins/like(box)?\\.php|sharer/sharer\\.php|sharer?\\.php|dialog/(feed|share))\\?",
	"^https?://www\\.facebook\\.com/captcha/",
	"^https?://(www\\.)?twitter\\.com/(share\\?|intent/((re)?tweet|favorite)|home/?\\?status=|\\?status=)",
	"^https?://platform\\d?\\.twitter\\.com/widgets/tweet_button.html\\?",
	"^https?://www\\.newsvine\\.com/_wine/save\\?",
	"^https?://www\\.netvibes\\.com/subscribe\\.php\\?",
	"^https?://add\\.my\\.yahoo\\.com/(rss|content)\\?",
	"^https?://www\\.addtoany\\.com/(add_to/|share_save\\?)",
	"^https?://www\\.addthis\\.com/bookmark\\.php\\?",
	"^https?://(www\\.)?pinterest\\.com/pin/create/",
	"^https?://www\\.linkedin\\.com/(cws/share|shareArticle)\\?",
	"^https?://(www\\.)?stumbleupon\\.com/(submit\\?|badge/embed/)",
	"^https?://csp\\.cyworld\\.com/bi/bi_recommend_pop\\.php\\?",
	"^https://share\\.flipboard\\.com/bookmarklet/popout\\?",
	"^https?://flattr.com/submit/auto\\?",
	"^https?://(www\\.)?myspace\\.com/Modules/PostTo/",
	"^https?://www\\.google\\.com/bookmarks/mark\\?",
	"^http://myweb2\\.search\\.yahoo\\.com/myresults/bookmarklet\\?",
	"^http://vuible\\.com/pins-settings/",
	"^https?://news\\.ycombinator\\.com/submitlink\\?",
	"^http://reporter\\.es\\.msn\\.com/\\?fn=contribute",
	"^http://www\\.blinklist\\.com/index\\.php\\?Action=Blink/addblink\\.php",
	"^http://sphinn\\.com/index\\.php\\?c=post&m=submit&",
	"^http://posterous\\.com/share\\?",
	"^http://del\\.icio\\.us/post\\?",
	"^https?://delicious\\.com/(save|post)\\?",
	"^https?://(www\\.)?friendfeed\\.com/share\\?",
	"^https?://(www\\.)?xing\\.com/(app/user\\?op=share|social_plugins/share\\?)",
	"^http://iwiw\\.hu/pages/share/share\\.jsp\\?",
	"^http://memori(\\.qip)?\\.ru/link/\\?",
	"^http://wow\\.ya\\.ru/posts_(add|share)_link\\.xml\\?",
	"^https?://connect\\.mail\\.ru/share\\?",
	"^http://zakladki\\.yandex\\.ru/newlink\\.xml\\?",
	"^https?://(vkontakte\\.ru|vk\\.com)/share\\.php\\?",
	"^https?://www\\.odnoklassniki\\.ru/dk\\?st\\.cmd=addShare",
	"^https?://www\\.google\\.com/(reader/link\\?|buzz/post\\?)",
	"^https?://service\\.weibo\\.com/share/share\\.php\\?",
	"^https?://(www\\.)?technorati\\.com/faves/?\\?add=",
	"^https?://bufferapp\\.com/add\\?",
	"^https?://b\\.hatena\\.ne\\.jp/add\\?",
	"^https?://api\\.addthis\\.com/",
	"^https?://bookmark\\.naver\\.com/post\\?",
	"^https?://mail\\.google\\.com/mail/",
	"^http://pixel\\.blog\\.hu/",
	"^https?://pixel\\.quantserve\\.com/",
	"^https?://(www|ssl)\\.google-analytics\\.com/(r/)?(__utm\\.gif|collect\\?)",
	"^https?://p\\.opt\\.fimserve\\.com/",
	"^https?://(\\d|www|secure)\\.gravatar\\.com/avatar/ad516503a11cd5ca435acc9bb6523536",
	"^https?://imageshack\\.com/lost$",
	"^https?://[^/]+\\.corp\\.ne1\\.yahoo\\.com/",
	"^https?://.+/js-agent\\.newrelic\\.com/nr-\\d{3,3}(\\.min)?\\.js$",
	"^https?://.+/stats\\.g\\.doubleclick\\.net/dc\\.js$",
	"^https?://stats\\.g\\.doubleclick\\.net/r/collect",
	"^https?://ad\\.doubleclick\\.net/activity",
	"^https?://.+/js/chartbeat\\.js$",
	"^http://www\\.khaleejtimes\\.com/.+/kt_.+/kt_",
	"^http://www\\.khaleejtimes\\.com/.+/images/.+/images/",
	"^http://www\\.khaleejtimes\\.com/.+/imgactv/.+/imgactv/",
	"^http://photobucket\\.com/.+/albums/.+/albums/",
	"^https?://([^/]+\\.)?gdcvault\\.com(/.*/|/)(fonts(/.*/|/)fonts/|css(/.*/|/)css/|img(/.*/|/)img/)",
	"^https://static\\.licdn\\.com/sc/p/com\\.linkedin\\.nux(:|%3A)nux-static-content(\\+|%2B)[\\d\\.]+/f/",
	"^https?://www\\.flickr\\.com/(explore/|photos/[^/]+/(sets/\\d+/(page\\d+/)?)?)\\d+_[a-f0-9]+(_[a-z])?\\.jpg$",
	"^https?://static\\.licdn\\.com/sc/p/.+/f//",
	"^http://www\\.warnerbros\\.com/\\d+$",
	"^https?://tm\\.uol\\.com\\.br/h/.+/h/",
	"^https?://media\\.opb\\.org/clips/embed/.+\\.js$",
	"^https?://[^.]+\\.pinterest\\.[^/]+/join/",
	"\\?wordfence_(logHuman|lh)=1",
	"^https?://[^/]*tumblr\\.com/widgets/share/tool",
	"amp;amp;",
	"^https?://accounts\\.google\\.com/o/oauth2/auth\\?",
	"^https?://www\\.facebook\\.com/dialog/oauth\\?",
	"^https?://[^/]+\\.onion/",
	"http://connect\\.qq\\.com/widget/shareqq/index\\.html\\?",
	"^https?://((web|api)\\.whatsapp\\.com/send|wa\\.me/)\\?",
	"^https?://(direct\\.(france(info|inter|culture|musique|bleu)|fipradio|mouv)\\.fr|[^/.]+\\.cdn\\.dvmr\\.fr(:\\d+)?)/.*\\.mp3$",
	"^https?://www\\.testtesttest\\.com/",
	"^https?://(www\\.cgzxb\\.com|imgnet\\.com|216\\.218\\.185\\.162)/",
	"^https?://assets\\.squarespace\\.com/universal/scripts-compressed/src/main/webapp/universal/",
	"^https?://www\\.facebook\\.com/dialog/send\\?",
	"^https?://linkedin\\.com/shareArticle\\?",
	"^https?://(line\\.me/R/msg/text/|lineit\\.line\\.me/share/ui|social-plugins\\.line\\.me/lineit/share)\\?",
	"^https?://((videos|360)\\.littlstar\\.com|ls-video-masters\\.s3-accelerate\\.amazonaws\\.com)/.*\\.(mp4|mov|mkv|webm|avi|yuv|y4m)$",
	"^https?://platform\\.iteratehq\\.com/[0-9a-f-]+\\.png$",
	"^https?://accounts\\.google\\.com/(ServiceLogin|AccountChooser)\\?",
	"^https://discord\\.com/assets/",

	// mediawiki-ar.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([?&]title=|/)Property:.*&until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_blog:.+/User_blog:",

	// mediawiki-es.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([\\?&]title=|/)Especial:((Crear_una_cuenta|CrearCuenta)|(Entrar|Entrada_del_usuario)|(Salida_del_usuario|Salir)|Translate|MobileFeedback|MobileOptions|(CambiosEnEnlazadas|Cambios_en_enlazadas)|Diff|MobileDiff|CentralAuth)",
	"([\\?&]title=|/)Especial:(Ask|Browse|SearchByProperty|ExportRDF|PageProperty|Properties|UnusedProperties|WantedProperties|SMWAdmin|Types|URIResolver|QueryCreator)",
	"([\\?&]title=Especial:(CambiosRecientes|Cambios_recientes)&|/Especial:(CambiosRecientes|Cambios_recientes)\\?)(.*&)?from=\\d+",
	"([\\?&]title=|/)Especial:((ListaIm%C3%A1genes|Lista_de_im%C3%A1genes)|(P%C3%A1ginasPorPrefijo|P%C3%A1ginas_por_prefijo)).*&amp;",
	"([\\?&]title=|/)Especial:(ListaIm%C3%A1genes|Lista_de_im%C3%A1genes).*&user=",
	"([\\?&]title=|/)Especial:(ListaIm%C3%A1genes|Lista_de_im%C3%A1genes).*&sort=img_(timestamp|name|size)(&|$)",
	"([\\?&]title=|/)Especial:Registro/",
	"([?&]title=Especial:Registro&|/Especial:Registro\\?)(.*&)?hide_[^&=]+=1(&|$)",
	"([?&]title=Especial:Registro&|/Especial:Registro\\?)(.*&)?hide_.*&hide_",
	"([?&]title=|/)Property:.*&until=",
	"([?&]title=|/)Categor%C3%ADa:.*&(page|subcat|file)until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/Usuario_discusi%C3%B3n:.+/Usuario_discusi%C3%B3n:",
	"/User_blog:.+/User_blog:",
	"/Usuario:.+/Usuario:",
	"^https?://[^/]+\\.gamepedia\\.com/(.*[?&]title=)?Especial:(WikiPoints/global|ListAllUsers|AllSites)([/?&]|$)",

	// dreamwidth.json
	"/\\d+\\.html\\?(.*&)?replyto=\\d+(&|$)",
	"/\\d+\\.html\\?(.*&)?mode=reply(&|$)",
	"/inbox/compose\\.bml\\?",
	"/manage/tracking/",
	"/manage/circle/",
	"/manage/subscriptions/user\\.bml\\?",
	"/shop/account",
	"/tools/tellafriend\\?",
	"/tools/memadd\\?",
	"/tools/content_flag\\.bml\\?",
	"/identity/login\\.bml\\?",
	"/subscribers/add\\?",
	"/update\\.bml\\?",
	"/\\d{4}/\\d\\d/\\d\\d/\\?get=(prev|next)$",
	"^https?://[^/]+\\.livejournal\\.com/.*/flymeango\\.com/$",
	"^https?://[^/]+\\.livejournal\\.com/.*/fotogid\\.info$",
	"^https?://[^/]+\\.livejournal\\.com/.*/spring\\.me$",
	"^https?://[^/]+\\.livejournal\\.com/.*/www\\.arte\\.tv/en/$",
	"^https?://[^/]+\\.livejournal\\.com/.*/error\\.[^/]+\\.text$",
	"^https?://[^/]+\\.livejournal\\.com/.*/fbmerging\\.[^/]+\\.text$",
	"^https?://[^/]+\\.livejournal\\.com/.*/popup\\.[^/]+\\.text$",
	"^https?://[^/]+\\.livejournal\\.com/.*/\\*sup_ru/ru/UTF-8/",
	"^https?://[^/]+\\.livejournal\\.com/.*/(photo/(\\{\\{|%7B%7B)photo\\.siteroot(\\}\\}|%7D%7D)/){2}",
	"^https?://[^/]+\\.livejournal\\.com/.*/gtm\\.js$",

	// googleplus.json
	"^https?://accounts\\.google\\.com/ServiceLogin",
	"^https?://accounts\\.google\\.com/SignUp",
	"^https?://lh4\\.googleusercontent\\.com/proxy/[^/]+",
	"^https?://plus\\.google\\.com/_/scs/apps-static/",

	// internetcentrum.json
	"%3Bamp%3Bamp",
	"&action=edit",
	"action=(?:komentar|send)",
	"action=(?:multiple_products_add_product|notify|add_product|buy_now)",
	"&action=submit",
	"&amp;action=edit",
	"amp;amp;",
	"answer=.+?&anksent=true",
	"[a-z0-9]=(?:off|on)",
	"blog=1&disp=msgform",
	"\\?cal=",
	"calendar_menu/calendar\\.php",
	"calendar_menu/event\\.php",
	"calendar\\.php",
	"calendar_scheduler\\.php",
	"captcha.php",
	"cas12&cas12",
	"comment\\.php\\?akce=new",
	"/comment/reply/\\d+",
	"cPath=.+&sort=.+",
	"destination=node/%2F\\d+",
	"destination=node/\\d+",
	"(?:displayimage|thumbnails)\\.php\\?pos=-\\d+",
	"file=posting.+mode=quote",
	"&highlight=&",
	"^http://harizzzma\\.com",
	"^http://www.nahraj.net/",
	"index.*\\.php\\?option=com_eventcal",
	"index.php\\?site=calendar",
	"index\\.php\\?site=guestbook&type=(?:ASC|DESC)",
	"index.php/Speci%C3%A1ln%C3%AD",
	"index.php\\?title=Diskuse:",
	"index.php\\?title=MediaWiki_diskuse:",
	"index.php\\?title=Soubor_diskuse",
	"index.php\\?title=Speci%C3%A1ln%C3%AD",
	"index\\.php\\?\\w+&rok=(1995|2016)&mesic=\\d+&autor=\\d+$",
	"index\\.php\\?.+year=198.",
	"index\\.php\\?.+year=203.",
	"kalendar-akci",
	"kalendar\\.php",
	"kalendarrok=\\d{4}",
	"LightNEasy\\.php\\?do=login",
	"limit=.+limit=.+",
	"login=",
	"login\\.php",
	"(?:login|registrace|live\\?)",
	"mact=Calendar",
	"main_page=(?:product_reviews_write|login|cookie_usage)",
	"memberlist\\.php\\?mode=email",
	"memberlist\\.php\\?mode=.+order=",
	"(?:memberlist|viewprofile|viewtopic)\\.php\\?.*sk=.&sd=.",
	"mini.+calendar",
	"mm=\\d+.+yy=\\d{4}",
	"mode=(?:lostpassword|sendpassword)",
	"modules.+name=Forums.+view=(?:next|previous)",
	"modules\\.php\\?name=coppermine.*file=displayimage.+&slideshow=\\d+",
	"modules\\.php\\?name=coppermine.*meta=(?:topn|toprated|lastcom|lastup|lastupby|random|lastcomby)",
	"modules\\.php\\?name=Statistics",
	"mo=\\d+.+ye=\\d{4}",
	"name=Kalender",
	"name=Statistics",
	"option=com_jcalpro.+date=\\d{4}-",
	"\\?option=com.+&month=.+&year=\\d{4}",
	"option=&Itemid=.+&date=\\d{4}-",
	"orderby=(?:name|note|count|news)",
	"photo.php\\?i=-\\d+",
	"/photos.+\\?url=",
	".*\\..*\\..*\\.pl",
	"p=ordersBasket.+sOption=add",
	"portal\\.php\\?month=[\\d]+",
	"postdays=0&postorder=asc",
	"prev_next=(?:prev|next)",
	".*/calendar/",
	"product_reviews_write\\.php\\?",
	"profile\\.php\\?mode=email",
	"profile\\.php\\?mode=register",
	"\\?q=event.+/(?:day|list|month|table|week)/all/all",
	"random_num=\\d+",
	"Recentchangeslinked/",
	"report\\.php\\?f=.+",
	"search_id=mini_cal&d=\\d+",
	"SESSION_ID=",
	"showcal\\.php",
	"site=guestbook.+type=(?:ASC|DESC)",
	"Souprava=.+Souprava=.+",
	"Special:Whatlinkshere",
	"start-index=-\\d+",
	"/switchuilocale/",
	"target[xy]=.+target[xy]=.+",
	"tellafriend\\.php",
	":Userlogin&",
	"user/(?:register|login)",
	"viewtopic\\.php\\?.*highlight=",
	"viewtopic\\.php\\?p=\\d+",
	"viewtopic\\.php\\?.+view=print",
	"y=\\d{4}&m=\\d+",

	// forums.json
	"/cron\\.php\\?",
	"/external\\.php\\?type=rss",
	"/login\\.php\\?",
	"/newreply\\.php\\?",
	"/private\\.php\\?",
	"/privmsg\\.php\\?",
	"/register\\.php\\?",
	"/sendmessage\\.php\\?",
	"/subscription\\.php\\?",
	"/posting\\.php\\?",
	"/viewtopic\\.php\\?.+&view=(next|previous)",
	"/viewtopic\\.php\\?.+&hilit=",
	"/feed\\.php\\?",
	"/index\\.php\\?option=com_mailto",
	"&view=login&return=",
	"&format=opensearch",
	"/misc\\.php\\?do=whoposted",
	"/newthread\\.php\\?",
	"/post_thanks\\.php\\?",
	"/blog_post\\.php\\?do=newblog",
	"/forumdisplay\\.php.*[\\?&]do=markread",
	"/forumdisplay\\.php.*[\\?&]sort=(title|postusername|voteavg|replycount|views)",
	"/userpoll/vote\\.php\\?",
	"/usercp2\\.php\\?action=addsubscription",
	"/showthread\\.php.*[\\?&]goto=(next(old|new)est|newpost)",
	"/showthread\\.php.*[\\?&]highlight=",
	"/ratethread\\.php\\?tid=\\d+&rating=",
	"/editpost\\.php\\?",
	"/\\?view=getlastpost$",
	"/index\\.php\\?sharelink=",
	"/posts/\\d+/share",
	"/ucp\\.php\\?mode=(login|delete_cookies|pm)",
	"/ucp\\.php\\?i=pm&mode=compose&action=quotepost",
	"/index\\.php\\?app=core&module=system&controller=login",
	"/index\\.php\\?app=core&module=reports&rcom=post",
	"/index\\.php\\?act=(Login|Post|Forward)",
	"/new_reply_form\\.asp\\?",
	"/pm_buddy_list\\.asp\\?",
	"/pm_new_message_form\\.asp\\?",
	"/search_form\\.asp\\?",
	"/index\\.php\\?action=profile;u=\\d+;area=showposts;sa=attach;sort=\\w+",
	"/index\\.php\\?action=quickmod2;topic=\\d+\\.\\d+",
	"/index\\.php\\?action=stats;expand=",
	"/index\\.php\\?board=\\d+\\.\\d+;sort=",
	"/index\\.php\\?topic=\\d+\\.\\d+;prev_next=",
	"/index\\.php\\?topic=\\d+\\.msg\\d+",
	"/index\\.php.*;wap2",
	"/index\\.php\\?action=calendar",
	"/index\\.php\\?action=verificationcode;rand=[0-9a-f]{32};vid=search;format=\\.wav(;sound)?$",
	"/viewtopic\\.php\\?p=\\d+",
	"/viewtopic\\.php\\?f=\\d+&t=\\d+&p=\\d+",
	"/showpost\\.php\\?p=\\d+",
	"/profile\\.php\\?do=addlist",
	"&controller=profile&id=\\d+&do=hovercard&referrer=",
	"/post/new/\\d+",
	"/post/\\d+/quote/\\d+",
	"/tortoise\\.pl",
	"/ad\\.pl",
	"/reportpost\\?link=",
	"/app\\.php/post/\\d+/report",
	"/discussion/comment/\\d+/(smile|smiley|wink|blush|neutral|relaxed|grin|joy|sweat_smile|lol|innocent|naughty|yum|relieved|love|sunglasses|smirk|expressionless|unamused|sweat|pensive|confused|confounded|kissing|kissing_heart|kissing_smiling_eyes|kissing_closed_eyes|tongue|disappointed|worried|angry|rage)\\.png",
	"/discussion/\\d+/(smile|smiley|wink|blush|neutral|relaxed|grin|joy|sweat_smile|lol|innocent|naughty|yum|relieved|love|sunglasses|smirk|expressionless|unamused|sweat|pensive|confused|confounded|kissing|kissing_heart|kissing_smiling_eyes|kissing_closed_eyes|tongue|disappointed|worried|angry|rage)\\.png",
	"/discussion/comment/\\d+/(cry|persevere|triumph|frowning|anguished|fearful|weary|sleepy|tired_face|grimace|bawling|open_mouth|hushed|cold_sweat|scream|astonished|flushed|sleeping|dizzy|no_mouth|mask|star|cookie|warning|mrgreen|heart|heartbreak|kiss|\\+1|-1|grey_question|trollface|grey_question)\\.png",
	"/discussion/\\d+/(cry|persevere|triumph|frowning|anguished|fearful|weary|sleepy|tired_face|grimace|bawling|open_mouth|hushed|cold_sweat|scream|astonished|flushed|sleeping|dizzy|no_mouth|mask|star|cookie|warning|mrgreen|heart|heartbreak|kiss|\\+1|-1|grey_question|trollface|grey_question)\\.png",
	"/discussion/votecomment/",
	"/discussion/flag/",

	// singletumblr.json

	// instagram.json
	"^https?://www\\.instagram\\.com/.*[?&]hl=",
	"^https?://www\\.instagram\\.com/p/[^/]+/caption/[^/]+/.+/",

	// nogithubcode.json
	"^https?://github\\.com/[^/]+/[^/]+/(tree(-commit)?|blob(_excerpt)?|raw|commits?|branch_commits|file-list)([/?]|$)",

	// twitter.json
	"^https?://((?:www|mobile)\\.)?twitter\\.com/.+[\\?&](?:id|lang|locale|screen_name|nav)=",
	"^https?://mobile\\.twitter\\.com/i/anonymize\\?data=",
	"^https?://twitter.com/i/csp_report",
	"^https?://analytics.twitter.com/tpm",
	"^https?://syndication.twitter.com/i/jot/syndication",
	"^https?://twitter.com/i/jot",

	// coppermine.json
	"(?:displayimage|thumbnails)\\.php[?&]album=(?:topn|toprated|lastcom|lastup|lastupby|random|lastcomby)",
	"ratepic\\.php",
	"addfav\\.php\\?.*ref=displayimage\\.php",
	"displayimage\\.php\\?.*slideshow=\\d+",

	// mediawiki-ko.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([?&]title=|/)Property:.*&until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/User_blog:.+/User_blog:",

	// youtube.json
	"^https?://accounts\\.google\\.com/ServiceLogin",
	"\\.?youtube\\.com/user/[^/]+/(playlists|channels|videos)\\?(flow|view|sort|live_view)=",
	"^https?://www\\.youtube\\.com/.*/www/www/",

	// notweets.json
	"^https?://((www|mobile)\\.)?twitter\\.com/([^/]+|i/web)/status/\\d+(\\?|$)",

	// nosortedindex.json
	"\\?C=[NMSD];O=[AD]$",

	// facebook.json
	"^https?://error\\.facebook\\.com/common/scribe_endpoint\\.php\\?c=",
	"^https?://www\\.facebook\\.com/[^/]+/(posts/|app_)[^/]+\\?(ref=page_internal&)?_fb_noscript=",
	"^https?://www\\.facebook\\.com/[^/]+/photos/(pb|a)\\.[^/]+/[^/]+/.{4,4}/",
	"^https?://www\\.facebook\\.com/[^/]+/photos/(pb|a)\\.[^/]+/[^/]+/\\?type=",
	"^https?://.*\\.facebook\\.com/login",

	// mediawiki-fr.json
	"[\\?&]diff=(prev|next|cur|\\d+)",
	"[\\?&]direction=(prev|next)&oldid=\\d+",
	"[\\?&]curid=\\d+",
	"[\\?&]limit=(1|20|100|250|500)",
	"[?&]dir=prev(&|$)",
	"[\\?&]hide(minor|bots|anons|liu|myself|redirs|links|trans|patrolled)=",
	"([\\?&]title=|/)Sp%C3%A9cial:((Cr%C3%A9er_un_compte|Cr%C3%A9erUnCompte|Cr%C3%A9erCompte)|(Connexion|Identification)|(D%C3%A9connexion|Deconnexion)|Translate|MobileFeedback|MobileOptions|(Suivi_des_liens|SuiviDesLiens)|Diff|MobileDiff|CentralAuth)",
	"([\\?&]title=|/)Sp%C3%A9cial:(Ask|Browse|SearchByProperty|ExportRDF|PageProperty|Properties|UnusedProperties|WantedProperties|SMWAdmin|Types|URIResolver|QueryCreator)",
	"([\\?&]title=Sp%C3%A9cial:(Modifications_r%C3%A9centes|Modifications_recentes|ModificationsR%C3%A9centes|ModificationsRecentes)&|/Sp%C3%A9cial:(Modifications_r%C3%A9centes|Modifications_recentes|ModificationsR%C3%A9centes|ModificationsRecentes)\\?)(.*&)?from=\\d+",
	"([\\?&]title=|/)Sp%C3%A9cial:((Liste_des_fichiers|ListeDesFichiers|Liste_des_images|ListeDesImages)|(Index|Pr%C3%A9fixes|Prefixes)).*&amp;",
	"([\\?&]title=|/)Sp%C3%A9cial:(Liste_des_fichiers|ListeDesFichiers|Liste_des_images|ListeDesImages).*&user=",
	"([\\?&]title=|/)Sp%C3%A9cial:(Liste_des_fichiers|ListeDesFichiers|Liste_des_images|ListeDesImages).*&sort=img_(timestamp|name|size)(&|$)",
	"([\\?&]title=|/)Sp%C3%A9cial:(Journal|Journaux)/",
	"([?&]title=Sp%C3%A9cial:(Journal|Journaux)&|/Sp%C3%A9cial:(Journal|Journaux)\\?)(.*&)?hide_[^&=]+=1(&|$)",
	"([?&]title=Sp%C3%A9cial:(Journal|Journaux)&|/Sp%C3%A9cial:(Journal|Journaux)\\?)(.*&)?hide_.*&hide_",
	"([?&]title=|/)Property:.*&until=",
	"([?&]title=|/)Cat%C3%A9gorie:.*&(page|subcat|file)until=",
	"[\\?&]action=edit&section=(\\d+|new)",
	"[\\?&]feed(format)?=atom",
	"[\\?&]redlink=1",
	"[\\?&]printable=yes",
	"[\\?&]mobileaction=",
	"[\\?&]undo(after)?=\\d+",
	"^https?://a\\.wikia-beacon\\.com/__track/",
	"^https?://beacon\\.wikia-services\\.com/__track/",
	"/Discussion_utilisateur:.+/Discussion_utilisateur:",
	"/User_blog:.+/User_blog:",
	"/Utilisateur:.+/Utilisateur:",
	"^https?://[^/]+\\.gamepedia\\.com/(.*[?&]title=)?Sp%C3%A9cial:(WikiPoints/global|ListAllUsers|AllSites)([/?&]|$)",

	// meetupeverywhere.json
	"^https?://([^/]+\\.)?meetup\\.com/login/",

	// imdb.json
	"^http://b\\.scorecardresearch\\.com/",
	"^http://ad\\.doubleclick\\.net/",
	"^http://www\\.imdb\\.com/rd/",
	"^http://www\\.imdb\\.com/.+\\?ref_=",
	"^http://www\\.imdb\\.com/.+/board/flat/",
	"^http://www\\.imdb\\.com/.+/board/inline/",
	"^http://www\\.imdb\\.com/.+/board/thread/",
	"^http://www\\.imdb\\.com/help/boards_posting\\.html",
	"^http://www\\.imdb\\.com/register/",
	"^http://www\\.imdb\\.com/.+/board/.+/\\d+\\?d=",
	"^http://www\\.imdb\\.com/.+/videogallery/.+/.+/",

	// badvideos.json
	"^https?://mp3\\.cbc\\.ca/",
	"^https?://podcast-a\\.akamaihd\\.net/mp3/",
	"^https?://content\\.jwplatform\\.com/videos/",
	"^https?://vp\\.nyt\\.com/",
	"^https?://video1\\.nytimes\\.com/",
	"^https?://(d21rhj7n383afu\\.cloudfront\\.net|videos\\.posttv\\.com)/washpost-production/",
	"^https?://videos\\.usatoday\\.net/Brightcove2/",
	"^https?://cdn([1-9]|1\\d|20)\\.anyclip\\.com/.*\\.mp4$",
	"^https?://video\\.csfd\\.cz/files/videos/",
	"^https?://assets\\d*\\.ign\\.com/videos/zencoder/.*\\.mp4$",
	"^https?://s3\\.amazonaws\\.com/o\\.videoarchive\\.ign\\.com/.*\\.mp4$",
	"^https?://(cuts\\.diamond|mlb-cuts-diamond)\\.mlb\\.com/FORGE/.*\\.mp4$",

	// blogs.json
	"[\\?&]replytocom=",
	"[\\?&]share=",
	"/page/%d/$",
	"\\?showComment(=|%5C)",
	"/quote-comment-\\d+/$",
	"/wp-login\\.php\\?",
	"/wp-admin(/|$)",
	"^https?://r\\-login\\.wordpress\\.com/remote\\-login\\.php",
	"'\\%20\\+\\%20liker\\.(avatar|profile)_URL\\%20\\+\\%20'",
	"\\%22\\%20\\+\\%20$wrapper\\.data\\(",
	"^https?://.+\\.blogspot\\.(com|in|com\\.au|co\\.uk|jp|co\\.nz|ca|de|it|fr|se|sg|es|pt|com\\.br|ar|mx|kr)/\\d{4,4}/\\d{2,2}/CSI/$",
	"^https?://[^/]+/search\\?(.*&)?reverse-paginate=true(&|$)",
	"livejournal\\.com/ljcounter/?\\?",
	"\\?replyto=[0-9]+",
	"[\\?&]mode=reply",
	"xiti\\.com/hit\\.xiti\\?",
	"/stats\\.g\\.doubleclick\\.net/dc\\.js$",
	"/jetpack-comment/\\?",
	"\\?like_comment=\\d+",
	"^https?://.+/.+/disqus\\.com/forums/$",
	"(\\?|%5Cx26)route=(/page/:page|/archive/:year/:month|/tagged/:tag|/post/:id|/image/:post_id)",
	"%5Cx26route=/archive",
	"^http://\\d+\\.media\\.tumblr\\.com/avatar_.+_16\\.png$",
	"^http://www\\.livejournal\\.com/(tools/memadd|update|login)\\.bml\\?",
	"^http://[^\\.]+\\.livejournal\\.com/.+[\\?&]mode=reply",
	"^http://[^\\.]+\\.livejournal\\.com/.+/\\*sup_ru/ru/UTF-8/",
	"^http://[^\\.]+\\.livejournal\\.com/.+http://[^\\.]+\\.livejournal\\.com/",
	"^http://[^\\.]+\\.livejournal\\.com/.+/stats\\.g\\.doubleclick\\.net/dc\\.js$",
	"^https?://www\\.dreamwidth\\.org/tools/(memadd|tellafriend)\\?",
	"^https?://[^\\.]+\\.dreamwidth\\.org/.+[\\?&]mode=reply",
	"[?&]SuperSocializerAuth=(LiveJournal|Twitch|Twitter|Xing)(&|$)",
	"^https?://wordpress\\.com/log-in\\?",
}
